Bug 1419270 - Log out option within im-chooser results in error
Summary: Log out option within im-chooser results in error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: im-chooser
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 14:05 UTC by art
Modified: 2017-03-03 03:55 UTC (History)
3 users (show)

Fixed In Version: im-chooser-1.7.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-03 03:55:12 UTC
Type: Bug


Attachments (Terms of Use)

Description art 2017-02-04 14:05:50 UTC
Description of problem:
After some change within im-chooser, the log out button gets active, but pressing it results in a "Could not connect to the session manager" error

Version-Release number of selected component (if applicable):
1.6.6-1.fc25

How reproducible:
Always

Steps to Reproduce:
1. Open im-chooser
2. Trigger some change (select 'Use X compose table' for example)
3. Press log out

Actual results:
"Could not connect to the session manager" error pops up

Expected results:
Session would exit to lightdm

Additional info:
Tried on both my actuall net install setup (im-chooser gets pulled with scim package i installed), and on xfce live dvd (im-chooser is present by default), the result is always the same.
xsession-errors only records 'Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.' error.

journalctl seems to provide the following info on that matter:

Feb 05 00:03:42 localhost.localdomain com.redhat.imsettings[971]: [ 1486217022.649999]: IMSettings-Daemon[991]: INFO: Attempting to switch IM to X compose table [lang=en_US.utf8, desktop=(null), update=true]
Feb 05 00:03:43 localhost.localdomain com.redhat.imsettings[971]: [ 1486217023.082856]: IMSettings-Daemon[991]: INFO:   no need to invoke any auxiliary process for X compose table
Feb 05 00:03:43 localhost.localdomain com.redhat.imsettings[971]: [ 1486217023.084348]: IMSettings-GSettings backend[991]: INFO: Setting up xim:xim as gtk+ immodule
Feb 05 00:03:47 localhost.localdomain sudo[2635]:    user2 : TTY=pts/0 ; PWD=/home/user2 ; USER=root ; COMMAND=/bin/journalctl
Feb 05 00:03:47 localhost.localdomain audit[2635]: USER_CMD pid=2635 uid=1000 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='cwd="/home/user2" cmd="journalctl" terminal=pts/0 res=success'
Feb 05 00:03:47 localhost.localdomain audit[2635]: CRED_REFR pid=2635 uid=0 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_env,pam_fprintd acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/0 res=success'
Feb 05 00:03:47 localhost.localdomain sudo[2635]: pam_systemd(sudo:session): Cannot create session: Already running in a session
Feb 05 00:03:47 localhost.localdomain sudo[2635]: pam_unix(sudo:session): session opened for user root by (uid=0)
Feb 05 00:03:47 localhost.localdomain audit[2635]: USER_START pid=2635 uid=0 auid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=PAM:session_open grantors=pam_keyinit,pam_limits,pam_keyinit,pam_limits,pam_systemd,pam_unix acct="root" exe="/usr/bin/sudo" hostname=? addr=? terminal=/dev/pts/0 res=success'

Thanks for your time and efforts! Will be glad to provide further info

Comment 1 art 2017-02-20 04:53:47 UTC
I saw it's being rebuilt in rawhide for fedora 26, any chance of taking a look at it?

Comment 2 Akira TAGOH 2017-02-24 11:13:13 UTC
Is there any clue in $HOME/.cache/imsettings/log ?

Comment 3 art 2017-02-24 13:56:05 UTC
Hey! Thanks for the reply! I can't tell myself. But here's the log from live xfce spin after changing the default method with im-chooser to ibus and attempting to log out.

[ 1487962072.297546]: IMSettings-Daemon[1372]: INFO: Starting imsettings-daemon...
[ 1487962072.298674]: IMSettings-Daemon[1372]: INFO:   [HOME=/home/liveuser/.config/imsettings]
[ 1487962072.298735]: IMSettings-Daemon[1372]: INFO:   [XINPUTRCDIR=/etc/X11/xinit/]
[ 1487962072.298777]: IMSettings-Daemon[1372]: INFO:   [XINPUTDIR=/etc/X11/xinit/xinput.d/]

[ 1487962072.298817]: IMSettings-Daemon[1372]: INFO:   [MODULEDIR=/usr/lib64/imsettings]

[ 1487962072.298858]: IMSettings-Daemon[1372]: INFO:   [MODULES=gsettings]

imsettings information
==========================
XINPUTRC: /etc/X11/xinit/xinput.d//none.conf
	  File: '/etc/X11/xinit/xinput.d//none.conf'
	  Size: 110       	Blocks: 8          IO Block: 4096   regular file
	Device: fd00h/64768d	Inode: 150952      Links: 1
	Access: (0644/-rw-r--r--)  Uid: (    0/    root)   Gid: (    0/    root)
	Context: system_u:object_r:bin_t:s0
	Access: 2017-02-24 13:47:51.670671215 -0500
	Modify: 2016-09-13 01:09:36.000000000 -0400
	Change: 2016-11-15 15:35:08.157915406 -0500
	 Birth: -
Is DBus enabled: yes
Is imsettings enabled: yes
Is GTK+ supported: no
Is Qt supported: no
DESKTOP: XFCE
GUESS_DESKTOP: $XDG_CURRENT_DESKTOP
DISABLE_IMSETTINGS: 
IMSETTINGS_DISABLE_DESKTOP_CHECK: 
DBUS_SESSION_BUS_ADDRESS: unix:path=/run/user/1000/bus
GTK_IM_MODULE: gtk-im-context-simple
QT_IM_MODULE: xim
XMODIFIERS: @im=none
IMSETTINGS_MODULE: none
IMSETTINGS_INTEGRATE_DESKTOP: yes

[ 1487962075.624653]: IMSettings-Daemon[1372]: INFO: Attempting to switch IM to none [lang=en_US.UTF-8, desktop=XFCE, update=false]
[ 1487962075.889096]: IMSettings-Daemon[1372]: INFO:   no need to invoke any auxiliary process for none
[ 1487962075.889279]: IMSettings-Daemon[1372]: INFO:   no need to invoke any main process for none
[ 1487962075.890230]: IMSettings-GSettings backend[1372]: INFO: Setting up gtk-im-context-simple:xim as gtk+ immodule
[ 1487944287.345219]: IMSettings-Daemon[1372]: INFO: Attempting to switch IM to IBus [lang=en_US.UTF-8, desktop=(null), update=true]
[ 1487944287.550817]: IMSettings-Daemon[1372]: INFO:   no need to invoke any auxiliary process for IBus
[ 1487944287.550951]: IMSettings-Daemon[1372]: INFO:   Starting the main process for IBus [lang:en_US.UTF-8]
[ 1487944287.575772]: IMSettings-Daemon[1372]: INFO:   Started IBus: [process: /usr/bin/ibus-daemon -r --xim, lang: en_US.UTF-8, pid: 2500, id: 48, time: 2017-02-24T13:51:27.575547Z
[ 1487944287.580946]: IMSettings-GSettings backend[1372]: INFO: Setting up ibus:xim as gtk+ immodule

Comment 4 Fedora Update System 2017-02-28 11:48:36 UTC
im-chooser-1.7.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-247fd269fd

Comment 5 Fedora Update System 2017-03-01 02:54:34 UTC
im-chooser-1.7.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-247fd269fd

Comment 6 art 2017-03-02 00:20:19 UTC
Thanks! Works great with xfce! Though still shows "Could not connect to the session manager" on my minimal netinstall with window managers. Here's the log, just in case

[ 1488413645.060259]: IMSettings-Daemon[1124]: INFO: Starting imsettings-daemon...
[ 1488413645.060404]: IMSettings-Daemon[1124]: INFO:   [HOME=/home/user4/.config/imsettings]
[ 1488413645.060452]: IMSettings-Daemon[1124]: INFO:   [XINPUTRCDIR=/etc/X11/xinit/]
[ 1488413645.060494]: IMSettings-Daemon[1124]: INFO:   [XINPUTDIR=/etc/X11/xinit/xinput.d/]

[ 1488413645.060535]: IMSettings-Daemon[1124]: INFO:   [MODULEDIR=/usr/lib64/imsettings]

[ 1488413645.060576]: IMSettings-Daemon[1124]: INFO:   [MODULES=gsettings]

imsettings information
==========================
XINPUTRC: /home/user4/.config/imsettings/xinputrc
	  File: '/home/user4/.config/imsettings/xinputrc' -> '/etc/X11/xinit/xinput.d/ibus.conf'
	  Size: 33        	Blocks: 0          IO Block: 4096   symbolic link
	Device: 808h/2056d	Inode: 924194      Links: 1
	Access: (0777/lrwxrwxrwx)  Uid: ( 1000/   user4)   Gid: ( 1000/   user4)
	Context: unconfined_u:object_r:config_home_t:s0
	Access: 2017-03-02 10:14:04.788114740 +1000
	Modify: 2017-03-02 09:11:42.255541138 +1000
	Change: 2017-03-02 09:11:42.255541138 +1000
	 Birth: -
Is DBus enabled: yes
Is imsettings enabled: yes
Is GTK+ supported: no
Is Qt supported: no
DESKTOP: i3
GUESS_DESKTOP: $XDG_CURRENT_DESKTOP
DISABLE_IMSETTINGS: 
IMSETTINGS_DISABLE_DESKTOP_CHECK: 
DBUS_SESSION_BUS_ADDRESS: unix:path=/run/user/1000/bus
GTK_IM_MODULE: ibus
QT_IM_MODULE: ibus
XMODIFIERS: @im=ibus
IMSETTINGS_MODULE: IBus
IMSETTINGS_INTEGRATE_DESKTOP: yes

[ 1488413670.178837]: IMSettings-Daemon[1124]: INFO: Attempting to switch IM to IBus [lang=en_US.utf8, desktop=(null), update=true]
[ 1488413670.433339]: IMSettings-Daemon[1124]: INFO:   no need to invoke any auxiliary process for IBus
[ 1488413670.434668]: IMSettings-Daemon[1124]: INFO:   Starting the main process for IBus [lang:en_US.utf8]
[ 1488413670.486092]: IMSettings-Daemon[1124]: INFO:   Started IBus: [process: /usr/bin/ibus-daemon -r --xim, lang: en_US.utf8, pid: 1597, id: 29, time: 2017-03-02T00:14:30.485716Z
[ 1488413670.486529]: IMSettings-GSettings backend[1124]: INFO: Setting up ibus:xim as gtk+ immodule
[ 1488413750.541000]: IMSettings-Daemon[1124]: INFO: Attempting to switch IM to none [lang=en_US.utf8, desktop=(null), update=true]
[ 1488413750.597305]: IMSettings-Daemon[1124]: INFO:   Stopping the main process for IBus [pid: 1597]
[ 1488413750.597509]: IMSettings-Daemon[1124]: INFO: Sent a signal to stop /usr/bin/ibus-daemon [pid: 1597, time: 2017-03-02T00:15:50.597497Z]
[ 1488413750.597807]: IMSettings-Daemon[1124]: INFO:   no need to invoke any auxiliary process for none
[ 1488413750.597871]: IMSettings-Daemon[1124]: INFO:   no need to invoke any main process for none
[ 1488413750.598305]: IMSettings-GSettings backend[1124]: INFO: Setting up gtk-im-context-simple:xim as gtk+ immodule
[ 1488413750.613403]: IMSettings-Daemon[1124]: INFO: Stopped main process for IBus with the signal 15 [pid: 1597]

Comment 7 Akira TAGOH 2017-03-02 04:35:29 UTC
Please open another bug with the more details, like the name of a window manager or a desktop. I updated im-chooser to support the session management for XFCE. though if they support XSMP, it should works though.

Comment 8 art 2017-03-02 05:27:13 UTC
I just +1'd it on the bodhi page. Not that much of a bug to keep bothering you with a yet another separate bug-ticket i guess. 
Thanks again for your time and your hardwork! 
Best wishes,

Comment 9 Fedora Update System 2017-03-03 03:55:12 UTC
im-chooser-1.7.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.